@sw26

Ошибка Vagrant Error: Could not find a suitable provider for rvm_system_ruby / rvm_gem?

Приветствую! Целый день ищу по форумам, решения не нашел. У меня Windows 10, VirtualBox 5.2.24-128163-Win, Vagrant 2.2.3_x86_64. На PuPHPet собираю конфигурацию (php, apache. mysql и еще некоторые моменты) для Vagrant и при ее установке через "vagrant up" появляются ошибки, которых не было раньше (даже недели 2 назад):
Error: 'curl -fsSL https://get.rvm.io | bash -s -- --version latest' returned 2 instead of one of [0]

Error: /Stage[main]/Rvm::System/Exec[system-rvm]/returns: change from 'notrun' to ['0'] failed: 'curl -fsSL https://get.rvm.io | bash -s -- --version latest' returned 2 instead of one of [0]

Error: Could not find a suitable provider for rvm_system_ruby

Error: Could not find a suitable provider for rvm_gem

----------
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.


-------------------------------

Вот в чем может быть проблема? Переустанавливая старые конфигурации, которые месяц назад, например, устанавливались нормально, сейчас показывают те же ошибки.
  • Вопрос задан
  • 287 просмотров
Пригласить эксперта
Ответы на вопрос 1
запустите по отдельности вытягивание скипта баш https://raw.githubusercontent.com/rvm/rvm/master/b... вставьте ему set-x и выполните точнее sourceните и узнаете где поврежден system ruby.
а лучше еще поставтьте нарямую (rvm = зло в какой то степени)
apt-get там или yum смотря какая там base box.

что выяснится напишите нужна помощь попросите
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
18 окт. 2019, в 23:45
150000 руб./за проект
18 окт. 2019, в 20:01
15000 руб./за проект